CompanyForContact

A company linked to a contact, with relationship metadata. Used by GET /contacts/{id}/companies sub-resource endpoint.

  • createdUtc
    Type: stringFormat: date-time
    required

    When the link was created (UTC).

  • id
    Type: string
    required

    Company ID.

  • linkId
    Type: string
    required

    Link ID (the contact-company relationship ID).

  • name
    Type: string
    required

    Company name.

  • updatedUtc
    Type: stringFormat: date-time
    required

    When the link was last updated (UTC).

  • domain
    Type: null | string

    Company domain.

  • isPrimary
    Type: boolean

    Whether this is the contact's primary company.

  • jobTitle
    Type: null | string

    Job title at this company.

  • uri
    Type: null | string

    Opaque canonical Propstreet entity URI for deep linking.